/**
 * @file wchar_util.cpp
 *
 * @author  JLK
 * @date    05-04-10
 *
 *  This file is part of Portable Code::Blocks Launcher.
 *
 *  Copyright (C) 2009-2010 Biplab Kumar Modak
 *  Homepage: http://biplab.in
 *
 *  Modified by JLK, April 2010
 *  Portable CB fonts, tool path & icon addition
 *  Console now hidden in release builds
 *
 *  Portable Code::Blocks Launcher is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Portable Code::Blocks Launcher is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "wchar_util.h"

/* utility function to convert a const char * to a const WCHAR */
const BSTR toWCHAR(const char *str)
{
    int lenA = lstrlenA(str);
    int lenW;
    static BSTR unicodestr = NULL; // last pointer kept in mempory

    lenW = ::MultiByteToWideChar(CP_ACP, 0, str, lenA, 0, 0);
    if (lenW > 0)         // Check whether conversion was successful
    {
        unicodestr = ::SysAllocStringLen(0, lenW);
        ::MultiByteToWideChar(CP_ACP, 0, str, lenA, unicodestr, lenW);
        return unicodestr;
    }
    else
        return NULL; // failed allocation
}
