/**
 * @file wchar_util.h
 * Declares basic wide character utility functions
 *
 * @author jlk
 * @date   05-04-10
 *
 *  This file is part of Portable Code::Blocks Launcher.
 *
 *  Copyright (C) 2009-2010 Biplab Kumar Modak
 *  Homepage: http://biplab.in
 *
 *  Modified by JLK, April 2010
 *  Portable CB fonts, tool path & icon addition
 *  Console now hidden in release builds
 *
 *  Portable Code::Blocks Launcher is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Portable Code::Blocks Launcher is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef UTIL_H
#define UTIL_H

#include <windows.h>

/**
 * @brief utility function to convert a const char * to a const WCHAR *
 *
 * @param str const char * to convert to wide char
 * @return BSTR - Dynamically allocated WCHAR * NULL if unsuccessful
 * @note User must assign the returned string to a constant WCHAR string
 * The calling program must free the returned string when finished with it.
 */
const BSTR toWCHAR(const char *str);

#endif // UTIL_H
